<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fog-lite
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row">
		<div id="content" class="col-md-12 single-post">
			<div class="row">

				<div class="col-md-12 admin-post-txt">
					<?php 

					if ( is_singular() ) :
						the_title( '<h2  class="entry-title">', '</h2>' );
					else :
						the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
					endif;
					?>
					<div class="col-md-12 admin-post-img <?php echo $cls; ?>">
						<?php the_post_thumbnail('full'); ?>
						</div>
					<p class="post-txt">
						<?php
						the_content( sprintf(
							wp_kses(
								/* translators: %s: Name of current post. Only visible to screen readers */
								__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'fog-lite' ),
								array(
									'span' => array(
										'class' => array(),
									),
								)
							),
							get_the_title()
						) );

						wp_link_pages( array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'fog-lite' ),
							'after'  => '</div>',
						) );
						?>
					</p>

				</div>
				<div class="col-md-12">
					<div class="row post-author">
						<div class="col-md-4 author-pic">
							<?php 
							$get_author_id = get_the_author_meta('ID');
							$get_author_gravatar = get_avatar_url($get_author_id, array('size' => 450));
							echo '<img src="'.$get_author_gravatar.'" alt="'.get_the_title().'" />';
							?>

						</div>
						<div class="col-md-8 author-txt">
							<h2><?php echo esc_html__( 'ABOUT THE AUTHOR', 'fog-lite' ); ?></h2>
							<h3><?php echo get_the_author(); ?></h3>
							<p><?php echo get_the_author_meta('description'); ?></p>
						</div>
					</div>
				</div>
			</div>
		</div><!-- /.single-admin-post-->

	</div>

</article><!-- #post-<?php the_ID(); ?> -->
